Subject: Re: [bug#49949] [core-updates]: Blender fails to build

From: Leo Famulari <[email-masked]>
Date: Fri, 7 Jan 2022 20:51:19 -0500

On Sun, Sep 12, 2021 at 09:26:31AM +0000, Guillaume Le Vaillant wrote:
> Hi,
> 
> I got a similar issue on core-updates-frozen with opencv.
> 
> I solved it in 463a47f4d737ad645639ed32a1c97cfc3bf00ff0 with:
> 
> --8<---------------cut here---------------start------------->8---
> -    (search-input-directory inputs "include/OpenEXR")
> +    (string-drop-right
> +     (search-input-file inputs "include/OpenEXR/ImathVec.h")
> +     11)
> --8<---------------cut here---------------end--------------->8---
> 
> It guess this will also work for bender, but I can't test right now
> because openvdb which bender depends on fails to build.
> 
> I suspect it happens because there are several inputs with
> a "include/OpenEXR" directory and 'search-input-directory' doesn't
> return the one we're looking for.

Well, I'm not sure what happened with Blender, but the version that
failed to build in this bug report (2.92) has been replaced in Guix with
version 3. And this new version is building fine. So I'm closing this
bug.